QGIS Application - Bug report #19944
Error message when switching Ul Theme to night mapping
2018-09-25 07:24 PM - Carolyn Krause

Status: Rejected

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.2.3 Regression?: No
Operating System: Windows 10 Pro Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 27766
Description

When | switch from default Ul theme to night mapping, | get this error message:

An error has occurred while executing Python code:

RuntimeError: wrapped C/C++ object of type ClusterPointsAlgorithm has been deleted

Traceback (most recent call last):

File "C:/Users/CRRGIS/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ClusterPoints\ClusterPoints.py", line 92, in
loadAlgorithms

self.addAlgorithm( alg )

RuntimeError: wrapped C/C++ object of type ClusterPointsAlgorithm has been deleted

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 07:18:10) [MSC v.1900 32 bit (Intel)]
QGIS version: 3.2.3-Bonn Bonn, 9b176802e5

Python Path:
C:/Users/.../AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ClusterPoints
C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python
C:/Users/.../AppData/Roaming/QGIS/QGIS3\profiles\default/python
C:/Users/.../AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins
C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python/plugins

C:\Program Files\QGIS 3.2\bin\python36.zip
C:\PROGRA~1\QGIS3~1.2\apps\Python36\DLLs
C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib

C:\Program Files\QGIS 3.2\bin

C:\PROGRA~1\QGIS3~1.2\apps\Python36
C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages
C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\win32
C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\win32\lib
C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\Pythonwin
C:/Users/.../AppData/Roaming/QGIS/QGIS3\profiles\default/python
C:\Users\..\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\Digitizing Tools\tools
C:\Users\..\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\mmagis/forms

After | close the error message, QGIS stays in default Ul theme, and no further issues occur. QGIS does not crash, so this is different from
#18669.

| have no idea why the error message mentions the ClusterPointsAlgorithm. This is a blank project, so there aren't any layers using the
clustered point style.
| had the same issue with QGIS 3.2.0.

History

#1 - 2018-09-25 08:32 PM - Nyall Dawson
- Resolution set to invalid
- Status changed from Open to Rejected

That's a bug in the cluster points plugin, not qgis.

#2 - 2018-09-26 11:25 PM - Juirgen Fischer
- Description updated
